
//media loader for the changeable sounds
class MediaLoader extends actor config(BRUT);

var config string Announcersound[10];  //package reference to the sound in the ini
var sound sndAnnouncerSound[10];       //internal variable assigned to the strings above
var int sndAnnouncerSoundSize;

function PostBeginPlay()
{
	SaveConfig();
}

function LoadSounds()
{
	local	int		i,j;
	local	sound	mysound;

	j=0;
	for(i=0; i<ArrayCount(Announcersound); i++)
	{
		if(Announcersound[i]!="")
		{
			mysound=sound(DynamicLoadObject(Announcersound[i],class'Sound',false));
			if(mysound==none)
				log("## Error Loading Sound"$Announcersound[i]);
			else
			{
				sndAnnouncerSound[i]=mysound;
				j++;
			}
		}
	}
	sndAnnouncerSoundSize=j;
}

defaultproperties
{
	bHidden=True
}
