
class BRTauntSound extends Keypoint;

#exec AUDIO IMPORT FILE="Taunts\greeka.wav"       NAME=greeka
#exec AUDIO IMPORT FILE="Taunts\greekb.wav"       NAME=greekb
#exec AUDIO IMPORT FILE="Taunts\greekc.wav"       NAME=greekc
#exec AUDIO IMPORT FILE="Taunts\greekd.wav"       NAME=greekd

var int ImOut;

function BeginPlay ()
{
   local int randm;

   ImOut = 1;
   randm = Rand(4);
   switch(randm)
   {
     	case 0:
		Playsound(sound'greeka');
		break;
					      
		case 1:
		Playsound(sound'greekb');
		break;

     	case 2:
		Playsound(sound'greekc');
		break;
					      
		case 3:
		Playsound(sound'greekd');
		break;
	}
	SetTimer(0.5, True);
}

function Timer ()
{
	ImOut += 1;
	if (ImOut > 14)  //set the actor to be destroyed when done
		self.Destroy();
	else
		SetLocation(Owner.Location); //otherwise keep location updated with the player owner
}

defaultproperties
{
   bStatic=False
}

