
class CZoneGenerator expands Actor;

#EXEC AUDIO IMPORT NAME=zimbot 	FILE=SOUNDS\zimbot.WAV

var GravRotTracesFX GRotTraceFX01, GRotTraceFX02, GRotTraceFX03; //visual effects around the generator
var GravRotParticlesFX GRotPartFX01, GRotPartFX02, GRotPartFX03;
var() float RotTrailRate;

function PostBeginPlay()
{
	if (Role == ROLE_Authority)
   {
   	GRotTraceFX01 = Spawn(Class'GravRotTracesFX', Self);
      GRotTraceFX01.InitializePlay(0, RotTrailRate, True);
      GRotTraceFX02 = Spawn(Class'GravRotTracesFX', Self);
      GRotTraceFX02.InitializePlay(1, RotTrailRate, True);
      GRotTraceFX03 = Spawn(Class'GravRotTracesFX', Self);
      GRotTraceFX03.InitializePlay(2, RotTrailRate, True);
      
      GRotPartFX01 = Spawn(Class'GravRotParticlesFX', Self);
      GRotPartFX01.InitializePlay(0, RotTrailRate, True);
      GRotPartFX02 = Spawn(Class'GravRotParticlesFX', Self);
      GRotPartFX02.InitializePlay(1, RotTrailRate, True);
      GRotPartFX03 = Spawn(Class'GravRotParticlesFX', Self);
      GRotPartFX03.InitializePlay(2, RotTrailRate, True);
   }
}

defaultproperties
{
   AmbientSound=sound'zimbot'
   SoundRadius=110
   SoundVolume=140
   Physics=PHYS_Rotating
   bFixedRotationDir=True
   RotationRate=(Pitch=4500,Yaw=5000,Roll=5500),
	Texture=WetTexture'UnrealShare.Belt_fx.Damagewet'
	bAlwaysRelevant=True
	RemoteRole=ROLE_SimulatedProxy
	DrawType=DT_Mesh
	Style=STY_Translucent
	Mesh=LodMesh'sgSphereMesh'
   AmbientGlow=255
	CollisionRadius=0.00
	CollisionHeight=0.00
	bUnlit=True
	NetUpdateFrequency=4.00
	Drawscale=0.25
	LightBrightness=204
	LightHue=212
	LightSaturation=10
	LightEffect=LE_Rotor
	LightRadius=10
	LightType=LT_Steady
}
