
class AirdropSmokePuff extends UT_SpriteSmokePuff;

#exec OBJ LOAD FILE=..\TEXTURES\BRUTAnimTex.utx PACKAGE=BRUT.Addons

simulated function BeginPlay()
{
   Velocity = Vect(0,0.5,1)*RisingRate;
   Texture = SSPrites[int(FRand()*NumSets*0.97)];
   if (Texture == None) 
		Texture = Texture'S_Actor';
}

defaultproperties
{
   SSprites(0)=Texture'bgus1_a00'
   SSprites(1)=Texture'bgus2_a00'
   SSprites(2)=Texture'bgUS3_A00'
   SSprites(3)=Texture'bgus8_a00'
   RisingRate=50.000000
   NumSets=4
   NumFrames=8
   Pause=0.050000
   bNetOptional=True
   Physics=PHYS_Projectile
   RemoteRole=ROLE_SimulatedProxy
   LifeSpan=2.500000
   DrawType=DT_SpriteAnimOnce
   Style=STY_Translucent
   Texture=Texture'Botpack.utsmoke.us1_a00'
   DrawScale=3.000000
   ScaleGlow=0.400000
   LightType=LT_None
   LightBrightness=10
   LightHue=255
   LightSaturation=0
   LightRadius=7
   bCorona=False
}