
class CSSRespawn expands EnhancedRespawn;

simulated function BeginPlay()
{
   Super(Effects).BeginPlay();
   PlayAnim('All',0.8);
}

simulated function PostBeginPlay()
{
   local inventory Inv;

   Super(Effects).PostBeginPlay();
   if (Level.bDropDetail)
      LightType = LT_None;
   if (Owner != None)
   {
      Inv = Inventory(Owner);
      if (Inv != None)
      {
         Mesh = Inv.PickUpViewMesh;
         DrawScale = Inv.PickupViewScale;
			MakeSound(Inv);
      }
      else
         Mesh = Owner.Mesh;
      Animframe = Owner.Animframe;
      Animsequence = Owner.Animsequence;
   }
}

function MakeSound(Inventory Inv)
{
	PlaySound(Sound'Botpack.Generic.RespawnSound2');
}

defaultproperties
{
}
