
class CSSShellCase extends BaseShellCase;

// Pistol shell case - high-poly
#exec MESH IMPORT MESH=BPshell2HP ANIVFILE=MODELS\BPshell2HP_a.3d DATAFILE=MODELS\BPshell2HP_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=BPshell2HP X=0 Y=0 Z=0

#exec MESH SEQUENCE MESH=BPshell2HP SEQ=All STARTFRAME=0 NUMFRAMES=1

#exec MESHMAP NEW MESHMAP=BPshell2HP MESH=BPshell2HP
#exec MESHMAP SCALE MESHMAP=BPshell2HP X=0.1 Y=0.1 Z=0.2

#exec TEXTURE IMPORT NAME=shellcase_skin FILE=Textures\shellcase_skin.pcx GROUP=Skins LODSET=2
#exec MESHMAP SETTEXTURE MESHMAP=BPshell2HP NUM=0 TEXTURE=shellcase_skin

defaultproperties
{
	Texture=texture'shellcase_skin'
   MaxSpeed=1000.000000
   bNetOptional=True
   bReplicateInstigator=False
   Physics=PHYS_Falling
   RemoteRole=ROLE_SimulatedProxy
   LifeSpan=3.000000
   Mesh=LodMesh'BRUT.BPshell2HP'
   bUnlit=False
   AmbientGlow=64
   LODBias=20.000000
   bCollideActors=False
   bBounce=True
   bFixedRotationDir=True
   NetPriority=1.400000
}
