
class CSSShellCaseSniper extends BaseShellCase;

#exec MESH IMPORT MESH=RifleShellHP ANIVFILE=MODELS\RifleShellHP_a.3d DATAFILE=MODELS\RifleShellHP_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=RifleShellHP X=0 Y=0 Z=0

#exec MESH SEQUENCE MESH=RifleShellHP SEQ=All STARTFRAME=0 NUMFRAMES=1

#exec MESHMAP NEW MESHMAP=RifleShellHP MESH=RifleShellHP
#exec MESHMAP SCALE MESHMAP=RifleShellHP X=0.1 Y=0.1 Z=0.2

#exec TEXTURE IMPORT NAME=shellcase_skin FILE=Textures\shellcase_skin.pcx GROUP=Skins LODSET=2
#exec MESHMAP SETTEXTURE MESHMAP=RifleShellHP NUM=0 TEXTURE=shellcase_skin


simulated function Landed(vector HitNormal)
{
   local rotator RandRot;

   if (Level.bDropDetail)
   {
        Destroy();
        return;
   }
   if (!Region.Zone.bWaterZone)
        PlaySound(sound 'shell2');
   if (numBounces > 3)
   {
        Destroy();
        return;
   }
   
   SetPhysics(PHYS_None);
   RandRot = Rotation;
   RandRot.Pitch = 16384;
   RandRot.Roll = 0;
   SetRotation(RandRot);
}

defaultproperties
{
	Texture=texture'shellcase_skin'
   MaxSpeed=1000.000000
   bNetOptional=True
   bReplicateInstigator=False
   Physics=PHYS_Falling
   RemoteRole=ROLE_SimulatedProxy
   LifeSpan=3.000000
   Mesh=LodMesh'RifleShellHP'
   bUnlit=False
   AmbientGlow=64
   LODBias=20.000000
   bCollideActors=False
   bBounce=True
   bFixedRotationDir=True
   NetPriority=1.400000
}