
class KevlarOne extends TournamentPickup;

#exec MESH IMPORT MESH=kevlarvest ANIVFILE=MODELS\kevlarvest_a.3d DATAFILE=MODELS\kevlarvest_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=kevlarvest X=0 Y=0 Z=0

#exec MESH SEQUENCE MESH=kevlarvest SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=kevlarvest SEQ=still STARTFRAME=0 NUMFRAMES=1

#exec MESHMAP NEW MESHMAP=kevlarvest MESH=kevlarvest
#exec MESHMAP SCALE MESHMAP=kevlarvest X=0.2 Y=0.2 Z=0.4

#exec TEXTURE IMPORT NAME=flakj1 FILE=Textures\flakj1.bmp GROUP=Skins Lodset=2
#exec TEXTURE IMPORT NAME=flakj2 FILE=Textures\flakj2.bmp GROUP=Skins Lodset=2
#exec MESHMAP SETTEXTURE MESHMAP=kevlarvest NUM=0 TEXTURE=flakj1

defaultproperties
{
	bCanHaveMultipleCopies=false
	PickupMessage="You got the level 1 police vest"
	ItemName="Police vest"
	PickupViewMesh=LodMesh'BRUT.kevlarvest'
	Charge=50
	ArmorAbsorption=75
	bIsAnArmor=True
	AbsorptionPriority=7
	MaxDesireability=1.70
	PickupSound=Sound'UnrealShare.Pickups.suitsnd'
	RemoteRole=ROLE_SimulatedProxy
	Mesh=LodMesh'BRUT.kevlarvest'
	CollisionRadius=20.00
	CollisionHeight=10.0
	PickupViewScale=1.50
	DrawScale=1.50
	Physics=PHYS_Falling
	bRotatingPickup=False
}