
class GravRotParticlesFX extends Effects;

//Mesh 01
#EXEC MESH IMPORT    MESH=GravRotParticlesFX01 ANIVFILE=MODELS\GravRotParticlesFX_a.3d DATAFILE=MODELS\GravRotParticlesFX_d.3d X=0 Y=0 Z=0
#EXEC MESH LODPARAMS MESH=GravRotParticlesFX01 STRENGTH=0.5
#EXEC MESH ORIGIN    MESH=GravRotParticlesFX01 X=0 Y=0 Z=0

#EXEC MESH SEQUENCE MESH=GravRotParticlesFX01 SEQ=All 		STARTFRAME=0 NUMFRAMES=40
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX01 SEQ=Still 		STARTFRAME=0 NUMFRAMES=1
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX01 SEQ=RotPlay 	STARTFRAME=0 NUMFRAMES=40 RATE=39.0
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX01 SEQ=RotLoop 	STARTFRAME=0 NUMFRAMES=39 RATE=38.0

#EXEC MESHMAP NEW MESHMAP=GravRotParticlesFX01 MESH=GravRotParticlesFX01
#EXEC MESHMAP SCALE MESHMAP=GravRotParticlesFX01 X=0.075 Y=0.075 Z=0.15

//Mesh 02
#EXEC MESH IMPORT    MESH=GravRotParticlesFX02 ANIVFILE=MODELS\GravRotParticlesFX_a.3d DATAFILE=MODELS\GravRotParticlesFX_d.3d X=0 Y=0 Z=0
#EXEC MESH LODPARAMS MESH=GravRotParticlesFX02 STRENGTH=0.5
#EXEC MESH ORIGIN    MESH=GravRotParticlesFX02 X=0 Y=0 Z=0 YAW=32 PITCH=32 ROLL=32

#EXEC MESH SEQUENCE MESH=GravRotParticlesFX02 SEQ=All 		STARTFRAME=0 NUMFRAMES=40
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX02 SEQ=Still 		STARTFRAME=0 NUMFRAMES=1
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX02 SEQ=RotPlay 	STARTFRAME=0 NUMFRAMES=40 RATE=39.0
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX02 SEQ=RotLoop 	STARTFRAME=0 NUMFRAMES=39 RATE=38.0

#EXEC MESHMAP NEW MESHMAP=GravRotParticlesFX02 MESH=GravRotParticlesFX02
#EXEC MESHMAP SCALE MESHMAP=GravRotParticlesFX02 X=0.075 Y=0.075 Z=0.15

//Mesh 03
#EXEC MESH IMPORT    MESH=GravRotParticlesFX03 ANIVFILE=MODELS\GravRotParticlesFX_a.3d DATAFILE=MODELS\GravRotParticlesFX_d.3d X=0 Y=0 Z=0
#EXEC MESH LODPARAMS MESH=GravRotParticlesFX03 STRENGTH=0.5
#EXEC MESH ORIGIN    MESH=GravRotParticlesFX03 X=0 Y=0 Z=0 YAW=-32 PITCH=-32 ROLL=-32

#EXEC MESH SEQUENCE MESH=GravRotParticlesFX03 SEQ=All 		STARTFRAME=0 NUMFRAMES=40
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX03 SEQ=Still 		STARTFRAME=0 NUMFRAMES=1
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX03 SEQ=RotPlay 	STARTFRAME=0 NUMFRAMES=40 RATE=39.0
#EXEC MESH SEQUENCE MESH=GravRotParticlesFX03 SEQ=RotLoop 	STARTFRAME=0 NUMFRAMES=39 RATE=38.0

#EXEC MESHMAP NEW 	MESHMAP=GravRotParticlesFX03 MESH=GravRotParticlesFX03
#EXEC MESHMAP SCALE 	MESHMAP=GravRotParticlesFX03 X=0.075 Y=0.075 Z=0.15

#EXEC TEXTURE IMPORT NAME=GravGlow01 	FILE=EFFECTS\GravGlow01.BMP 	FLAGS=2

var() Mesh PartMesh[3];

simulated function InitializePlay(byte n, float PlayRate, optional bool bLoop)
{
	if (n < ArrayCount(PartMesh))
		Mesh = PartMesh[n];

	if (PlayRate <= 0)
		PlayRate = 1.0;

	if (bLoop)
		LoopAnim('RotLoop', PlayRate);
	else
		PlayAnim('RotPlay', PlayRate, 0.0);
}

defaultproperties
{
   bNetTemporary=False
   bTrailerSameRotation=True
   Physics=PHYS_Trailer
   RemoteRole=ROLE_SimulatedProxy
   Mass=0.00
   PartMesh(0)=LodMesh'GravRotParticlesFX01'
   PartMesh(1)=LodMesh'GravRotParticlesFX02'
   PartMesh(2)=LodMesh'GravRotParticlesFX03'
   DrawType=DT_Mesh
   Style=STY_Translucent
   Texture=Texture'GravGlow01'
   Mesh=LodMesh'GravRotParticlesFX01'
   DrawScale=0.06
   ScaleGlow=1.65
   bUnlit=True
   bParticles=True
}